Loading...
Searching...
No Matches
lime_keys.hpp File Reference

Go to the source code of this file.

## Classes

struct | lime::C255
| curve 25519 data types size definition More...
struct | lime::C448
| curve 448-goldilocks data types size definition More...
struct | lime::SHA512
| SHA512 buffer size definition. More...
struct | lime::AES256GCM
| AES256GCM buffers size definition. More...

## Namespaces

namespace | lime

## Enumerations

enum class | lime::Xtype { lime::publicKey , lime::privateKey , lime::sharedSecret }
| List of data types used by key Echange algorithm. More...
enum class | lime::DSAtype { lime::publicKey , lime::privateKey , lime::signature }
| List of data types used by Signature algorithm. More...